#pragma once

#include "共通\refCActivity.h"
#include "共通\refCCounter.h"
#include "Direct3D9\refCTexture.h"

namespace FDK
{
	public ref class CMActフェードアウト・透明度 : CActivity
	{
	public:
		property bool b完了
		{
			bool get()
			{
				return this->_b完了;
			}
		protected:
			void set( bool value )
			{
				this->_b完了 = value;
			}
		}
		
		void t開始();

		CMActフェードアウト・透明度();
		CMActフェードアウト・透明度( int n速度ms );

		virtual void On非活性化() override;
		virtual int On進行() override;
		virtual void On描画( IntPtr hDevice ) override
		{
			throw gcnew Exception( L"On描画( IntPtr, CTexture^ ) のほうを使用すること。" );
		}
		void On描画( IntPtr hDevice, CTexture^ txカバー );

	protected:
		CCounter^ ct透明度カウンタ;
		int n速度ms;

	private:
		bool _b完了;
	};
}
